Subject: Re: help browser bug (was Re: [SWIPL] SWI-Prolog 5.0.1/XPCE 6.0.1)

From: Jan Wielemaker <[email-masked]>
Date: Wed, 20 Feb 2002 14:21:23 +0100

On Wednesday 20 February 2002 14:05, Chris Fox wrote:
> [I am not sure if the following is a problem with Prolog or with XPCE]
>
> I just noticed that when using manpce help for the latest Prolog/XPCE,
> predicates of the form name/arity are no longer recognised.  For example,
> the query
>
> 	   help(write).
>
> pops up the SWI-Prolog help window with
>
>      could not find help for "write/2"
>      could not find help for "write/1"
>
> (although entering just `write' in the text field of the help window works
> as expected)

Chris,

You were too fast :-)  I uploaded a second version about a day later fixing
this.  These troubles were caused by the DCG translator using is_list/1.
Cleaning this up, I made some mistakes generating wrong code on awkward
DCG code.  Best thing to do is to get boot/init.pl from the CVS server, 
overwrite it in the installation and run

	pl -O -o boot32.prc -b boot/init.pl

(adjust to your particular installation).

	Cheers --- Jan